Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.util
Class SecureDirectory

    java.lang.Object
      java.io.File
          net.i2p.util.SecureDirectory

All Implemented Interfaces:
  Serializable, Comparable<File>

    public class SecureDirectory

extends File

Same as File but sets the file mode after mkdir() so it can be read and written by the owner only (i.e. 700 on linux)

Since:
  0.8.1
Author:
  zzz
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.io.File
`pathSeparator, pathSeparatorChar, separator, separatorChar`

Constructor Summary
`SecureDirectory(File parent, String child)`
`SecureDirectory(String pathname)`
`SecureDirectory(String parent, String child)`

Method Summary
`boolean` | `mkdir()` Sets directory to mode 700 if the directory is created
`boolean` | `mkdirs()` Sets directory to mode 700 if the directory is created Does NOT change the mode of other created directories

Methods inherited from class java.io.File
`canExecute, canRead, canWrite, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, equals, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getCanonicalPath, getFreeSpace, getName, getParent, getParentFile, getPath, getTotalSpace, getUsableSpace, hashCode, isAbsolute, isDirectory, isFile, isHidden, lastModified, length, list, list, listFiles, listFiles, listFiles, listRoots, renameTo, setExecutable, setExecutable, setLastModified, setReadable, setReadable, setReadOnly, setWritable, setWritable, toString, toURI, toURL`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecureDirectory

    public SecureDirectory(String pathname)

### SecureDirectory

    public SecureDirectory(String parent,
                           String child)

### SecureDirectory

    public SecureDirectory(File parent,
                           String child)

Method Detail

### mkdir

    public boolean mkdir()

  Sets directory to mode 700 if the directory is created

  Overrides:
    `mkdir` in class `File`

### mkdirs

    public boolean mkdirs()

  Sets directory to mode 700 if the directory is created Does NOT change the mode of other created directories

  Overrides:
    `mkdirs` in class `File`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD